package io.gitlab.jfronny.inceptum.model.inceptum;

import java.util.Map;

public class Config {
    public boolean snapshots = false;
    public boolean darkTheme = false;
    public boolean enforceAccount = true;
    public String lastAccount;
    public String offlineAccountLastName = null;
    public UpdateChannel channel = UpdateChannel.Stable;
    public GitConfig git = new GitConfig();

    public static class GitConfig {
        public Map<String, GitAuth> instanceAuths;
        public String commitUsername = "Inceptum";
        public String commitMail = "inceptum@jfronny.gitlab.io";
        public Boolean signCommits = false;

        public static class GitAuth {
            public String username;
            public String password;
        }
    }
}
