package io.gitlab.jfronny.inceptum.model.curseforge;

import java.util.Set;

public class CurseforgeModpackManifest {
    public Minecraft minecraft;
    public String manifestType;
    public Integer manifestVersion;
    public String name;
    public String version;
    public String author;
    public Set<File> files;
    public String overrides;

    public static class Minecraft {
        public String version;
        public Set<ModLoader> modLoaders;

        public static class ModLoader {
            public String id;
            public Boolean primary;
        }
    }

    public static class File {
        public Integer projectID;
        public Integer fileID;
        public Boolean required;
    }
}
