package io.gitlab.jfronny.inceptum.util.install;

import io.gitlab.jfronny.inceptum.model.inceptum.LoaderInfo;
import io.gitlab.jfronny.inceptum.model.mojang.VersionInfo;
import io.gitlab.jfronny.inceptum.util.ProcessState;
import io.gitlab.jfronny.inceptum.util.Utils;

public record SetupStepInfo(VersionInfo version,
                            LoaderInfo loader,
                            String name,
                            ProcessState currentState) {
    public void setState(String state) {
        currentState.updateStep(state);
    }
}
