package io.gitlab.jfronny.inceptum.frontend.gui.control;

import imgui.ImGui;

public abstract class Tab {
    private final String name;

    public Tab(String name) {
        this.name = name;
    }

    protected abstract void renderInner();

    public void render() {
        if (canShow() && ImGui.beginTabItem(name)) {
            renderInner();
            ImGui.endTabItem();
        }
    }

    protected boolean canShow() {
        return true;
    }
}
